org.apache.solr.search.facet

## Enum FacetField.FacetMethod

- java.lang.Object
- - java.lang.Enum<FacetField.FacetMethod>
  - - org.apache.solr.search.facet.FacetField.FacetMethod

- All Implemented Interfaces:
    Serializable, Comparable<FacetField.FacetMethod>
  Enclosing class:
    FacetField

      public static enum FacetField.FacetMethod
      extends Enum<FacetField.FacetMethod>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DV`
    `DVHASH`
    `ENUM`
    `SMART`
    `STREAM`
    `UIF`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FacetField.FacetMethod` | `fromString(String method)`
    `static FacetField.FacetMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FacetField.FacetMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DV

          public static final FacetField.FacetMethod DV

    - #### UIF

          public static final FacetField.FacetMethod UIF

    - #### DVHASH

          public static final FacetField.FacetMethod DVHASH

    - #### ENUM

          public static final FacetField.FacetMethod ENUM

    - #### STREAM

          public static final FacetField.FacetMethod STREAM

    - #### SMART

          public static final FacetField.FacetMethod SMART

  - ### Method Detail

    - #### values

          public static FacetField.FacetMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FacetField.FacetMethod c : FacetField.FacetMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FacetField.FacetMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static FacetField.FacetMethod fromString(String method)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.